I installed python 3.5.1 via ampps and it’s working. However, when i try to use pip, i get the following message:

Fatal error in launcher: Unable to create process using '"'

I already reinstalled ampps into a path which doesn’t include any whitespaces. Note that the “python -m pip” workaround doesn’t work for me too, since i get the following message everytime i use it:

C:\Users\MyUserName\Desktop\Ampps\python\python.exe: Error while finding spec for 'pip.__main__' (<class 'ImportError'>: No module named 'queue'); 'pip' is a package and cannot be directly executed

How do i get pip to work properly? I hope, there is a way to use the pip command itself without the preceding python command.

EDIT: This is what happens, if i try to run python -c "import pip.__main__":

Traceback (most recent call last):
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\site-packages\pip\compat\__init__.py", line 11, in <module>
    from logging.config import dictConfig as logging_dictConfig
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\logging\config.py", line 30, in <module>
    import logging.handlers
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\logging\handlers.py", line 28, in <module>
    import queue
ImportError: No module named 'queue'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\site-packages\pip\__init__.py", line 13, in <module>
    from pip.utils import get_installed_distributions, get_prog
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\site-packages\pip\utils\__init__.py", line 18, in <module>
    from pip.compat import console_to_str, stdlib_pkgs
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\site-packages\pip\compat\__init__.py", line 13, in <module>
    from pip.compat.dictconfig import dictConfig as logging_dictConfig
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\site-packages\pip\compat\dictconfig.py", line 22, in <module>
    import logging.handlers
  File "C:\Users\MyUserName\Desktop\Ampps\python\lib\logging\handlers.py", line 28, in <module>
    import queue
ImportError: No module named 'queue'

I fixed my issue by…

  1. downloading Python 3 at the official website and installing it via express installation
  2. Copy & Paste the standalone python into the ampps/python folder and overwriting the python version provided by AMPPS
  3. running python -m pip install --upgrade pip in cmd

Now pip and python 3 are installed in their latest version.

It seems that AMPPS doesnt’t provide a full-fledged python build. So you need to update python yourself.

Thanks to y’all.

This worked for me under Windows 10 x64:

Ensure that the Python directories are in the path, e.g.:

# Edit Environment variables so that variable "path" points to the new location.
# Insert these at the start of the list (or delete other Python directories), as Windows takes the first match it finds.
# Type "Win-S" then search for "Edit the System Environment Variables".
# Or see Control Panel under "System Properties".
S:\Research\bin\Python375\Scripts\
S:\Research\bin\Python375\

Then:

python -m pip install --upgrade --force-reinstall pip

In my particular case, the error was caused by shifting the Python directory to a new location.

The same error, but in a different situation. I have a virtual environment, in which I ran, in the VE’s \Scripts directory where pip.exe is:

pip freeze

I got the error message

Fatal error in launcher: Unable to create process using '"'

There is no space in my VE path (google that error). Then I tried python -m pip install --upgrade pip and got

Requirement already up-to-date: pip in o:\upsdowns\flask\lib\site-packages

so then I tried

python -m pip freeze

and that worked. I think it might be a path issue in the VE, but I’m OK with this workaround.

I’m adding this here because this page is high up when you google that errormessage. In other words, I didn’t make a new question, even though my situation is quite different from the OP’s. Possibly even, I got into that situation because I didn’t add modules to the virtual environment “properly”.

Anyway, I hope it helps some.

I found a very simple solution to, (Pip – Fatal error in launcher:)

1) You must not have multiple environmental variables for the python path.

A) Goto Environmental Variables and delete Python27 in the path if you have Python 3.6.5 installed.  Pip is confused by multiple paths!!!

run this python code:

import pip
pip.main(['install','flask']) # replace flask with the name of module you want to install

If you need to install multiple modules from a requirements.txt file,

import pip
fo = open("C:/...../requirements.txt", "r")
inp = fo.read()
ls =inp.split()     

for i in ls:
    pip.main(['install',i])

I apparently had Python installed in both C:\Python39 and %LocalAppData%\Programs\Python\Python39\.

I was able to fix the error by deleting the install in C:\Python39

The fastest way is:

python -m pip install pip==9.0.0

If you want the latest pip, you can run

pip install -U pip

afterwards.

I got the same error when installed both python2 and python3 on my Windows 7.

You can use python3 -m pip install xxxxxx to install your package.

Or, fix it completely:

  1. Try to run python3 -m pip install --upgrade pip in cmd.

  2. If failed in step 1, try python3  -m pip install --upgrade --force-reinstall pip

WORKING FINE !!!

Just upgrade your pip package by running below command.
python3 -m pip install –upgrade pip

Note: I installed both python 3.6 and 2.7 version. Hence I explicitly specified python3

Snapshot

C:\AK>pip3 install argparse
Fatal error in launcher: Unable to create process using '"c:\python36\python.exe"  "C:\Python36\Scripts\pip3.exe" install argparse'

C:\AK>python3 -m pip install --upgrade pip
Collecting pip
  Downloading https://files.pythonhosted.org/packages/30/db/9e38760b32e3e7f40cce46dd5fb107b8c73840df38f0046d8e6514e675a1/pip-19.2.3-py2.py3-none-any.whl (1.4MB)
    100% |????????????????????????????????| 1.4MB 312kB/s
Installing collected packages: pip
  Found existing installation: pip 18.1
    Uninstalling pip-18.1:
      Successfully uninstalled pip-18.1
Successfully installed pip-19.2.3

C:AK>pip3 install argparse
Collecting argparse
  Using cached https://files.pythonhosted.org/packages/f2/94/3af39d34be01a24a6e65433d19e107099374224905f1e0cc6bbe1fd22a2f/argparse-1.4.0-py2.py3-none-any.whl
Installing collected packages: argparse
Successfully installed argparse-1.4.0

Checked the evironment path, I have two paths navigated to two pip.exe and this caused this error. After deleting the redundant one and restart the PC, this issue has been fixed. The same issue for the jupyter command fixed as well.

One more very basic and simple solution. Run the related python version’s installation file (setup file) and click repair mode. It hardly takes one-two minutes and everything works perfectly after that 🙂

I had my environmental variables set properly and I had reinstalled Python, updated pip – nothing worked but below solution:

I solved the problem by going to folder:

C:\Users\YOUR_USERNAME\AppData\Local\Programs\Python\

and removing all versions of Python but the one that you are using. I had 3 versions of Python in this folder.

I got the same error but when using tensorboard:

Fatal error in launcher: Unable to create process using '"'

I found out that the problem was caused by existing two copies of tensotboard.exe in two different directories and both directories were added to the path:

C:\Program Files\Python36\Scripts

and

C:\Users\...\AppData\Local\Programs\Python\Python36\Scripts

I removed the first one from the path and it fixed the problem.

I was trying to install “bottle” package in python 3.6.6 having pip version 18.0 on Windows.
I faced the same error as follows:-

Fatal error in launcher: Unable to create process using '"c:\users\arnab sinha\python.exe"  "C:\Users\Arnab Sinha\Scripts\pip.exe" install bottle'

All I typed after that was

py -m pip install bottle

This solved my issue.

It happened to me using pip package, then I solved it like below:

1) First of all uninstall pip using python command

$python -m pip uninstall pip

2) Then reinstall pip package using easy_install command

$easy_install pip

3) Finally, try again pip command on command line directly, install any package

$pip install pylint

or only execute pip command

$pip

My solution is quite simple, i faced the same problem

Fatal error in launcher: Unable to create process using '"'

the solution was to change the path from where i am running pip.

neither of the other answers helped me
case: downgrading python from 3.6 to 3.5 for using pyinstaller package.

here is the solution for this specific case:

  1. pip uninstall
  2. go to C:\Users\your-usern\AppData\Local\Programs\Python\Python36\Scripts
  3. delete the script resembling , i.e pyinstaller.exe in my case
  4. pip install

may probably work for you as well.

All the above answers are of great technical help. Recently I also faced the same issue due to a blunder I did with my project.

I created venv inside my project root by issuing the command python -m venv . and then for some reason I didn’t like the name of my project. So I changed it and boom.

pip started behaving erratically and I searched dozens of forums thinking some corrupt file had crept inside my python installation. I didn’t find any solution there that could help me. Finally, I opened my activate.bat file to know how this script was changing my environment and there I saw the old project name mentioned. Eureka!

I reverted back to my old project name and everything became smooth. Without any reinstallation. Without any change request to office admin. Without any delay.

SOLUTION: If you have changed the name of your project after creating your venv, you might face this error. Reverting the new name into the old name will save your time and effort. Also please don’t forget to upvote if this answer helped.

I installed python 2 and python 3 both in my windows 7. After having both versions of python, I moved to download PIP.

After downloading pip via downloading the get-pip.py file and run into the command prompt and navigate to the folder containing get-pip.py file.

I Run the following command:

python get-pip.py

after downloading PIP, I was getting the following error,
Fatal error in launcher: Unable to create process using ‘”‘
SOLUTION
**Then what worked for me is:
I just run the following below command

python3 -m pip install --upgrade pip

And my pip started working.
Hope it helps !**

I started seeing this error after I moved my project (including its virtual environment). Deleting and recreating the virtual environment set everything right.

As RolfBly mentioned, running python -m pip freeze > somefile prior to deleting the environment allows for quick recovery: running pip -r somefile in the new environment will restore all packages.

I solved it by following the steps from this website https://www.sysrecon.com/programming/python-pip-how-to-get-around-fatal-error-in-launcher-unable-to-create-process-using/

Update pip using:
python -m pip install -U pip from command line after you’ve located the right directory in which python is installed in your machine.

For me it was an error in my path. You should directly call the script using the directory where it is stored.

C:\Users\YourUserName\AppData\Local\Programs\Python\Python36\Scripts\pip install requests

And for running python scripts you can do this:

C:\Users\Avanish\AppData\Local\Programs\Python\Python36\python -m pip install requests

If none of the solutions mentioned above work, it can be due to environment variables pointing to two different locations.
Just use where virtualenv to find the paths that are linked to virtualenv command.
Run the following in cmd.

D:\>where virtualenv

The output will look like:

C:\Program Files\Python37\Scripts\virtualenv.exe

C:\Users\username\AppData\Local\Programs\Python\Python36\Scripts\virtualenv.exe

You can see there is conflicting installation of python36 and python37. I just deleted python37 folder and the conflict was resolved.

I got the same error and followed a couple of answers.
I have tried to upgrade and install 9.0.0 version of pip using the commands below

python3 -m pip install --upgrade pip
python -m pip install pip==9.0.0

For both the commands I got the warning which looked like this

WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None))

Nothing seemed to work. I lost my patients and followed the below steps and got it working

  1. Navigate to the path “C:\Users…Python\Python37-32\Scripts”
  2. Delete the files pip ,pip3 , pip3.7
  3. Then I used the command python -m pip install pip==9.0.0 which then installed pip
  4. Then I entered the required command of pyperclip which I wanted to leverage which was pip install pyperclip

Ignore the 4th step. Adding it only to let people know I was also able to install the required pyperclip seemlessly, if at all anyone is on the same path to install some modules further

Usually this is due to python version set on your Environment Variables.
Check PATH (or Path) for both System and Client variables.

If its pointing to “path/to/python-installation/Python3.x-32”,
change it to “path/to/python-installation/Python3.x”

Again check value on both System and Client Environment Variables

an easy fix here https://github.com/pypa/pip/issues/5292

This involves installing pip and easy re-installing it as below

python -m pip uninstall pip
easy_install.exe pip

If you have a slight variation of that error message, like this:
Fatal error in launcher: Unable to create process using ‘”[insert file path to python exe]” “[insert path to pip.exe]” ‘: The system cannot find the file specified.

That was due to the File unable to the actual python instillation.

Solution:

  • Create a junction folder using mklink /j [path to folder you want to create] [path you want to link the folder to] to direct it to your actual python path

This can happen if you install and uninstall a bunch of different python version and it messes up a couple registry keys.
You can directly change the registry to fix it, but not recommended

I started seeing the

Fatal error in launcher: Unable to create process using '"'

after installing Python 3.6 onto a Windows 10 machine. I set the Path variable to point to the Python36 folder. The python command functioned correctly, but the pip command did not.

To fix the error, I opend up the command prompt shell with administrator privileges and ran the pip commands.

Check your Windows PATH environment variable. It has a limit of 260 characters and your python location might be past that character limit.

You can either move your Python paths higher in the path list or disable the Windows character limit as described here:
https://msdn.microsoft.com/en-us/library/windows/desktop/aa365247(v=vs.85).aspx

A registry key allows you to enable or disable the new long path behavior. To enable long path behavior set the registry key at HKLM\SYSTEM\CurrentControlSet\Control\FileSystem LongPathsEnabled (Type: REG_DWORD). The key’s value will be cached by the system (per process) after the first call to an affected Win32 file or directory function (list follows). The registry key will not be reloaded during the lifetime of the process. In order for all apps on the system to recognize the value of the key, a reboot might be required because some processes may have started before the key was set.

The registry key can also be controlled via Group Policy at Computer Configuration > Administrative Templates > System > Filesystem > Enable NTFS long paths.

My solution is to run twine upload over the python -m argument.

So just use python -m:

python -m twine upload dist/*